%define upstream_name    Dist-Zilla-Plugin-BumpVersionFromGit
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Provide a version number by bumping the last git release tag
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Version::Next)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(version) >= 0.800.0
BuildArch:  noarch

%description
This does the the Dist::Zilla::Role::VersionProvider manpage role. It finds
the last version number from tags and increments it as the new version used
by Dist::Zilla.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
git config --global user.email "you@example.com"
git config --global user.name "Your Name"
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-5.mga8
+ Revision: 1494120
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1267297
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1025839
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 967447
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.10.0-1.mga6
+ Revision: 848972
- update to 0.010

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 747303
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 510996
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 366054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.009

* Wed Jan 26 2011 jquelin <jquelin> 0.8.0-1.mga1
+ Revision: 40588
- adding some git config to make test pass
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-BumpVersionFromGit

